View Issue Details

IDProjectCategoryView StatusLast Update
0006956OXID eShop (all versions)4.01. Database handlingpublic2019-03-01 12:04
Reporterpatchwork.de 
PriorityhighSeveritycriticalReproducibilityalways
Status closedResolutionno change required 
Product Version6.1.2 
Target VersionFixed in Version 
Summary0006956: if mysql 8.0.3 is used the shop will not run
Descriptionin core/oxconfig.php -> saveShopConfVar() the function ENCODE is used.
in mysql 8.0.3 this function was removed (was in mysql 5.7 depreciated).
Steps To Reproducetry to install the shop with mysql 8.0.3
Additional Informationsome hoster use already mysql 8.0.3 - at the end of the day ALL hosters will use at least this mysql-version
TagsNo tags attached.
ThemeNot defined
BrowserNot defined
PHP VersionNot defined
Database VersionNot defined

Activities

QA

2019-02-25 13:21

administrator   ~0012797

Last edited: 2019-02-25 13:22

View 2 revisions

Hi there

as we don't support this MySQL version yet, I have to close this entry. But I would like to ask you to create a pull request to make this part of the code MySQL 8 ready: https://github.com/OXID-eSales/oxideshop_ce/blob/master/CONTRIBUTING.md
It will be appreciated.

Kind regards
QA

-MK

marco_steinhaeuser

2019-02-26 10:55

administrator   ~0012799

https://forum.oxid-esales.com/t/encode-in-aktueller-mysql-version-nicht-mehr-unterstuetzt/94910/

marco_steinhaeuser

2019-03-01 12:04

administrator   ~0012806

Thanks for your valuable and appreciated information @patchwork.de. This issue was forwarded to our product management.